package com.goldenwater.slaj.hidd.service;

import java.util.List;
import com.goldenwater.slaj.hidd.domain.TBusiHiddCount;

/**
 * 隐患统计 服务层
 */
public interface ITBusiHiddCountService {

    /**
     * 查询隐患统计信息
     * @param id 查询条件
     * @return 隐患统计信息
     */
    TBusiHiddCount selectTBusiHiddCountById(Long id);

    /**
     * 查询隐患统计列表
     * @param tBusiHiddCount 隐患统计查询条件
     * @return 隐患统计集合
     */
    List<TBusiHiddCount> selectTBusiHiddCountList(TBusiHiddCount tBusiHiddCount);

    /**
     * 新增隐患统计
     * @param tBusiHiddCount 隐患统计信息
     * @return 影响行数
     */
    int insertTBusiHiddCount(TBusiHiddCount tBusiHiddCount);

    /**
     * 修改隐患统计
     * @param tBusiHiddCount 隐患统计信息
     * @return 影响行数
     */
    int updateTBusiHiddCount(TBusiHiddCount tBusiHiddCount);

    /**
     * 删除隐患统计
     * @param id 隐患统计主键
     * @return 影响行数
     */
    int deleteTBusiHiddCountById(Long id);

    /**
     * 批量删除隐患统计
     * @param ids 隐患统计主键数组
     * @return 影响行数
     */
    int deleteTBusiHiddCountByIds(Long[] ids);
}
